<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/account_selector/init.jsp" %>

<c:choose>
	<c:when test="<%= commerceChannelId == 0 %>">
		<div class="alert alert-info mx-auto">
			<liferay-ui:message key="this-site-does-not-have-a-channel" />
		</div>
	</c:when>
	<c:otherwise>
		<div class="account-selector-root" id="<%= accountSelectorId %>"></div>

		<aui:script require="commerce-frontend-js/components/account_selector/entry as accountSelector">
			accountSelector.default(
				'<%= accountSelectorId %>',
				'<%= accountSelectorId %>',
				{
					accountEntryAllowedTypes:
						'<%= jsonSerializer.serializeDeep(accountEntryAllowedTypes) %>',
					commerceChannelId: '<%= commerceChannelId %>',
					createNewOrderURL: '<%= createNewOrderURL %>',
					currentCommerceAccount: <%= Validator.isNotNull(currentCommerceAccount) ? jsonSerializer.serializeDeep(currentCommerceAccount) : null %>,
					currentCommerceOrder: <%= Validator.isNotNull(currentCommerceOrder) ? jsonSerializer.serializeDeep(currentCommerceOrder) : null %>,
					namespace: '<%= accountSelectorId %>',
					refreshPageOnAccountSelected: true,
					selectOrderURL: '<%= selectOrderURL %>',
					setCurrentAccountURL: '<%= setCurrentAccountURL %>',
					showOrderTypeModal: <%= showOrderTypeModal %>,
				}
			);
		</aui:script>
	</c:otherwise>
</c:choose>