<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/subscription_info/init.jsp" %>

<c:if test="<%= Validator.isNotNull(subscriptionPeriod) || Validator.isNotNull(durationPeriod) %>">
	<div class="row">
		<div>
			<liferay-ui:message key="payment-subscription" />
		</div>

		<div>
			<c:if test="<%= Validator.isNotNull(subscriptionPeriod) %>">
				<span class="product-subscription-period">(<%= HtmlUtil.escape(subscriptionPeriod) %>)</span>
			</c:if>

			<c:if test="<%= Validator.isNotNull(durationPeriod) %>">
				<span class="product-subscription-period"> <%= HtmlUtil.escape(durationPeriod) %></span>
			</c:if>
		</div>
	</div>
</c:if>

<c:if test="<%= Validator.isNotNull(deliverySubscriptionPeriod) || Validator.isNotNull(deliveryDurationPeriod) %>">
	<div class="row">
		<div>
			<liferay-ui:message key="delivery-subscription" />
		</div>

		<div>
			<c:if test="<%= Validator.isNotNull(deliverySubscriptionPeriod) %>">
				<span class="product-subscription-period">(<%= HtmlUtil.escape(deliverySubscriptionPeriod) %>)</span>
			</c:if>

			<c:if test="<%= Validator.isNotNull(deliveryDurationPeriod) %>">
				<span class="product-subscription-period"> <%= HtmlUtil.escape(deliveryDurationPeriod) %></span>
			</c:if>
		</div>
	</div>
</c:if>